Module java.base
Package java.security

## Class DrbgParameters.Reseed

- java.lang.Object
- - java.security.DrbgParameters.Reseed

All Implemented Interfaces:
  `SecureRandomParameters`

Enclosing class:
  DrbgParameters

    public static final class DrbgParameters.Reseed
    extends Object
    implements SecureRandomParameters

DRBG parameters for reseed. It is used in `SecureRandom.reseed(SecureRandomParameters)`.

Since:
  9

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getAdditionalInput()` Returns the requested additional input.
`boolean` `getPredictionResistance()` Returns whether prediction resistance is requested.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getPredictionResistance

    public boolean getPredictionResistance()

Returns whether prediction resistance is requested.

Returns:
  whether prediction resistance is requested

#### getAdditionalInput

    public byte[] getAdditionalInput()

Returns the requested additional input.

Returns:
  the requested additional input, or `null` if not requested. A new byte array is returned each time this method is called.